Priority: Normal

Assignee:

Category: Forms

Affected QGIS version:2.18.19 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 27295

Description

Hello,

I work under Windows 2007 Pro and with QGIS 2.18.19 (64 bits).

I have a database under Postgresql connected to QGIS.

I created in my database a "Vue" in sql that I call in QGIS. I consult the data of this VUE via the "Attribute Table" tool of QGIS and I switch

to form mode.

To make the data more readable, I designed a .ui form. This one I post in QGIS.

My problem is that in form form .ui, when we select a line it does not appear highlighted.

This problem is not present when we do not go through a form.

Good day and thanks for the help

----

Bonjour,

je travaille sous Windows 2007 Pro et avec QGIS 2.18.19 (64 bits).

J'ai une base de données sous Postgresql connectée à QGIS.

J'ai créé dans ma base de données une "Vue" en sql que j'appelle dans QGIS. Je consulte les données de cette VUE via l'outils "Table

attributaire" de QGIS  et je bascule en mode formulaire.

Afin que les données soient plus lisibles, j'ai conçu un formulaire en .ui. Celui-ci j'affiche donc dans QGIS.

Mon soucis est que en mode formulaire .ui, quand on sélectionne une ligne elle n'apparaît pas en surbrillance.

Ce problème n'est pas présent quand on ne passe pas par un formulaire .ui

Bonne journée et merci pour l'aide

History

#1 - 2018-07-24 08:50 AM - Giovanni Manghi

- Status changed from Open to Feedback

Please file ticket in English. Thanks!

#2 - 2018-07-24 09:12 AM - Maria-Paulina ORSINI

- File 2.jpg added

- File 1.jpg added
Hello,

I work under Windows 2007 Pro and with QGIS 2.18.19 (64 bits).

I have a database under Postgresql connected to QGIS.

I created in my database a "Vue" in sql that I call in QGIS. I consult the data of this VUE via the "Attribute Table" tool of QGIS and I switch to form mode.

To make the data more readable, I designed a .ui form. This one I post in QGIS.

My problem is that in form form .ui, when we select a line it does not appear highlighted.

This problem is not present when we do not go through a form.

Good day and thanks for the help

#3 - 2018-07-26 08:33 AM - Jürgen Fischer

- Description updated

- Subject changed from Problème dans l'affichage des données en mode formulaire to feature not highlighted when viewed with .ui in attribute table

#4 - 2019-01-21 12:35 AM - Jürgen Fischer

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#5 - 2019-02-23 12:01 PM - matteo ghetta

Can you provide the `ui` form file?

#6 - 2019-03-09 03:10 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

2025-06-13 2/3

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/


you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
